Get health trend 1

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/scenario/{scenarioId}/health-trend

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Query parameters

  • dataDate string

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • dataDate string(date-time)
    • health integer(int32)
    • risk string

      Values are GOOD, FINE, or BAD.

GET /project/{projectId}/scenario/{scenarioId}/health-trend
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/health-trend' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "dataDate": "2026-05-04T09:42:00Z",
    "health": 42,
    "risk": "GOOD"
  }
]